add support for alternative C libraries (currently only glibc/eglibc) other (related...
[openwrt/staging/chunkeey.git] / toolchain / gcc / Config.in
1 # Choose gcc version.
2
3 choice
4 prompt "GCC compiler Version" if TOOLCHAINOPTS
5 default GCC_VERSION_3_4_6 if LINUX_2_4
6 default GCC_VERSION_4_2_4 if TARGET_avr32
7 default GCC_VERSION_4_2_4 if TARGET_ppc40x
8 default GCC_VERSION_4_2_4 if TARGET_ppc44x
9 default GCC_VERSION_4_1_2
10 help
11 Select the version of gcc you wish to use.
12
13 config GCC_VERSION_3_4_6
14 bool "gcc 3.4.6"
15
16 config GCC_VERSION_4_1_2
17 depends !LINUX_2_4
18 bool "gcc 4.1.2"
19
20 config GCC_VERSION_4_2_4
21 depends !LINUX_2_4
22 bool "gcc 4.2.4"
23
24 endchoice
25
26 config EABI_SUPPORT
27 bool
28 depends arm||armeb
29 prompt "Enable EABI support" if TOOLCHAINOPTS
30 default n
31 help
32 Enable ARM EABI support
33
34 config EXTRA_GCC_CONFIG_OPTIONS
35 string
36 prompt "Additional gcc options" if TOOLCHAINOPTS
37 default ""
38 help
39 Any additional gcc options you may want to include....
40
41 config SSP_SUPPORT
42 bool
43 depends !GCC_VERSION_3_4_6
44 prompt "Enable Smash Stacking Protection support" if TOOLCHAINOPTS
45 default n
46 help
47 Enable Smash Stacking Protection support
48
49 config INSTALL_LIBSTDCPP
50 bool
51 prompt "Build/install c++ compiler and libstdc++?" if TOOLCHAINOPTS
52 default y
53 help
54 Build/install c++ compiler and libstdc++?
55
56 config INSTALL_LIBGCJ
57 bool
58 prompt "Build/install java compiler and GNU classpath ?" if TOOLCHAINOPTS
59 default n
60 help
61 Build/install java compiler and GNU classpath ?